SLASH_ELGOH1, SLASH_ELGOH2 = "/elgoh", "/lgoh";
SlashCmdList["ELGOH"] = function(msg, editBox)
	msg = string.lower(msg);
	if(msg=="clean") then
		if(CanEditOfficerNote()~=1) then return; end
		Elgoh_Rottgut();
	elseif(msg=="options" or msg=="config") then
		InterfaceOptionsFrame_OpenToCategory("Elgoh");
	elseif(msg=="auto") then
		Elgoh_AutoRaid();
	elseif(msg=="start") then
	if(CanEditOfficerNote()~=1) then return; end
		Elgoh_StartDKP();
	elseif(msg=="import") then
		if(CanEditOfficerNote()~=1) then return; end
		for i=1, GetNumGuildMembers(), 1 do 
			local name = GetGuildRosterInfo(i);
			EDB_Snapshot(name);
			EDB_LoadValues(name);
			EDB_ToNote(name);
		end
		SendChatMessage(GetGuildInfo("player")..": EPGP has been imported", "OFFICER")
	else
		Elgoh_Print("Available Commands:");
		Elgoh_Print("import - Loads all values contained in the website export file (Irreversible; Make sure you're sure you wish to do this)(Requires Officer)");
		Elgoh_Print("clean - Purges the guild of any inactive members (Requires Officer)");
		Elgoh_Print("auto - Applies assist, roles and master looter (Requires Raid Leader)");
		Elgoh_Print("options or config- Opens the options menu to configure Elgoh");
    end
end

function Elgoh_AllowToMove(frame)
	frame:EnableMouse(true)
	frame:SetMovable(true);
	frame:SetClampedToScreen(true);
	frame:RegisterForDrag("LeftButton");
	frame:SetScript("OnDragStart", frame.StartMoving);
	frame:SetScript("OnDragStop", frame.StopMovingOrSizing);
end

function Elgoh_DKPWhisper(who)
	EDB_Snapshot(who);
	if (EDB[who]~=nil) then
		SendChatMessage("Detailed Results for "..who..":", "WHISPER", nil, who);
		SendChatMessage("EP: "..EDB[who]["earned"], "WHISPER", nil, who);
		SendChatMessage("GP: "..EDB[who]["spent"], "WHISPER", nil, who);
		SendChatMessage("Priority: "..EDB[who].priority, "WHISPER", nil, who);
	else
		SendChatMessage("No DKP exists for "..who, "WHISPER", nil, who);
	end		
end

SLASH_ANOO1 = "/anoo"
SlashCmdList["ANOO"] = function(msg, editBox)
	msg = strlower(msg);
	if(msg=="version") then
		SendAddonMessage("anoo", "version", "GUILD");
	else
		ReloadUI();
	end
end

SLASH_DISBAND1 = "/disband"
SlashCmdList["DISBAND"] = function(msg, editBox)
	for i=0, GetNumRaidMembers(), 1 do 
		name, rank,_,_,_,_,_,_,_, role, isML = GetRaidRosterInfo(i); -- 2=RL, 1=Assist, 0=raider
		if(name~=UnitName("player")) then UninviteUnit(name); end
	end
end

SLASH_LGOHB1 = "/breaktime"
SlashCmdList["LGOHB"] = function(msg, editBox)
local Time=msg;
	if(Time=="") then  Time=10; end
	if(IsAddOnLoaded("DBM-Core")) then	
		SendChatMessage(string.gsub(ElgohSettings["BreaktimeString"], "TIME", Time), "RAID")
		DBM:CreatePizzaTimer(60*Time, "Breaktime", 1, "the Officers")
	else
		Elgoh_Print("Timers require Deadly Boss Mods");
	end
end

function Elgoh_Print(message)
	message="|cff66ff33Elgoh:|r "..message;
	print(message);
end

function EDebug(message)
	if(ElgohSettings["Debug"]==1 and message~=nil) then
		message="|cff119900Elgoh:|r "..message;
		print(message);
	end
end